[jdom-interest] JDOM B8 With BES 5

Joao Machado joaocm at k2sistemas.com.br
Fri Sep 6 09:26:34 PDT 2002

Anyone has tryied to run JDOM with BES 5 ?
The problem is that BES 5 came with an earlier version of JDOM inside a JAR
called XMLrt.jar. This file is loaded before any other user's JARs. So the
earlier JDOM version cames first in the classpath. One possible solution is
to warp the XMLrt.jar and remove the old JDOM classes and put the new ones.
But I don't want to do this because JDOM is still beta and new version does
not support the old ones, right ? So, there is a chance that if I warp the
file somethings will not work anymore !!

Any ideas / comments ??

Thanks in advance,

João Machado
K2 Sistemas

More information about the jdom-interest mailing list